#include <stdio.h>

#include <Messenger.h>
#include <OS.h>


struct MessengerPrivate {
	port_id port;
	int32 handlerToken;
	team_id team;

	int32 reserved[3];
};

int main()
{
	BMessenger server("application/x-vnd.Haiku-app_server");
	if (!server.IsValid())
		return 1;

	auto priv = reinterpret_cast<MessengerPrivate*>(&server);
	printf("port: %" B_PRId32 "\n", priv->port);

	int32 msg;
	while (read_port(priv->port, &msg, NULL, 0) >= B_OK) {}

	return 0;
}
